MKC_INSTALL(1)

NAME
install - install binaries

SYNOPSIS
install -d [-o own] [-g grp] [-m mod] dir1 dir2 ... dirN
install [-cs] [-l flags] [-o own] [-g grp] [-m mod] file1 file2
install [-cs] [-l flags] [-o own] [-g grp] [-m mod] [files...] dir

DESCRIPTION
The file(s) are copied to the target file or directory. If the destination is a directory, then the file is copied into directory with its original filename.

OPTIONS

-c  Copy the file. This is the default behavior; the flag is maintained for backwards compatibility only.

-d  Create directories. Missing parent directories are created as required.

-g group
    Specify a group.

-l linkflags
    Instead of copying the file make a link to the source. The type of the link is determined by the linkflags argument. Valid linkflags are: h (hard), s (symbolic).

-m mode
    Specify an alternative mode. The default mode is set to rwxr-xr-x (0755). The specified mode may be either an octal or symbolic value; see chmod(1) for a description of possible mode values.

-o owner
    Specify an owner.

-s  install exec's the command strip(1) to strip binaries so that install can be portable over a large number of systems and binary types. If the environment variable STRIP is set, it is used as the strip(1) program.

ENVIRONMENT

STRIP
    The program used to strip installed binaries when the -s option is used. If unspecified, strip is used.

EXIT STATUS
     The install utility exits 0 on success, and >0 if an error occurs.

AUTHOR
Aleksey Cheusov <vle@gmx.net>